<?php
/**
 * The template for displaying single posts.
 *
 * @package white-xmas
 */

?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<h2 class="entry-title"><?php the_title(); ?></h2>
		<?php whitexmas_breadcrumbs(); ?>
		<div class="entry-meta">
			<?php whitexmas_posted_on(); ?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php
		the_content();
		wp_link_pages(
			array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'white-xmas' ),
				'after'  => '</div>',
			)
		);
		?>
	</div><!-- .entry-content -->
	<footer class="entry-meta">
		<?php
		/* translators: used between list items, there is a space after the comma */
		$category_list = get_the_category_list( __( ', ', 'white-xmas' ) );

		/* translators: used between list items, there is a space after the comma */
		$tag_list = get_the_tag_list( '', __( ', ', 'white-xmas' ) );

		if ( $category_list && $tag_list ) {
			/* translators: 1: category list 2: tag list */
			printf( esc_html__( 'This entry was posted in %1$s and tagged %2$s.', 'white-xmas' ), $category_list, $tag_list );
		} elseif ( $category_list ) {
			/* translators: 1: category list. */
			printf( esc_html__( 'This entry was posted in %1$s.', 'white-xmas' ), $category_list );
		}

		edit_post_link( __( 'Edit', 'white-xmas' ) . '<span class="screen-reader-text">' . get_the_title( $id ) . '</span>' );
		?>
	</footer><!-- .entry-meta -->
</article><!-- #post-## -->
